import processing.serial.*;

Serial myPort;
String api_key = "XXXXXXXXXXXXXXXX";
String phone_number = "+79XXXXXXXXX";
String port_name = "COM4";
int baud_rate = 115200;
boolean is_calling = false;

void setup() { 
  printArray(Serial.list());
  myPort = new Serial(this, port_name, baud_rate);
} 

void draw() {
  String lines[] = loadStrings("https://api.thingspeak.com/apps/thinghttp/send_request?api_key=" + api_key);
  int total = Integer.valueOf(lines[0]);
  if(total != 0 && !is_calling){
    make_call();
  }
  read_response();
}

void make_call(){
  is_calling = true;
  myPort.write("ATD" + phone_number + ";\r\n");
}

void read_response(){
 while (myPort.available() > 0) {
    String inBuffer = myPort.readString();   
    if (inBuffer != null) {
      println(inBuffer);
    }
  } 
}